// Package captureas provides the binding for the Capture.as API
package captureas

import (
	"code.as/core/api"
)

const (
	apiURL    = "https://capture.as"
	userAgent = "go-captureas"
)

type Client struct {
	*as.Client
	Username string
	Secret   string
}

func NewClient(username, secret string) *Client {
	return &Client{
		Client:   as.NewClient(as.NewClientConfig(apiURL, userAgent)),
		Username: username,
		Secret:   secret,
	}
}
